﻿using System;
using Windows.UI.Xaml.Data;

namespace NMaxDashboard.App.Converters
{
    internal class WattDisplayConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, string language)
        {
            var numericValue = value is double d ? d : double.Parse(value.ToString());

            return numericValue > 1000 ? $" {numericValue/1000:N1} kWh" : $" {numericValue} w";
        }

        public object ConvertBack(object value, Type targetType, object parameter, string language)
        {
            throw new NotImplementedException();
        }
    }
}
